Subject: Question about 1:n and m:n protections

From: SuKyoung Lee <[email-masked]>
Date: Wed, 04 Apr 2001 14:38:31 -0700

Hello.

I have been working on the analysis of  restoration time and backup path
provisioning in protection.
Especially, for 1:n and m:n case, is there any detailed mechanism about
how many working paths could be protected by 1 backup path and
determining the number of  backup paths for n working paths?
If anyone knows some general mechanisms, please let me know those to
compare
my work with.

--
SuKyoung Lee
High Speed Network Technologies Group
Advanced Network Technologies Division
National Institute of Standards & Technology
Email: [email-masked]
Phone: 301-975-4780

---

From: SuKyoung Lee <[email-masked]>
Date: Thu, 05 Apr 2001 09:52:24 -0700

Hello Ramesh

Thank you for your information.
Recently, I have been analyzing how to allocate backup paths to the group of
working paths
in m:n case. As you know, any researchers have proposed various restoration
algorithms assuming ring or mesh networks. But I would like to know some
mechanisms(if any) without that assmption.

Ramesh Bhandari wrote:

> Hello SuKyoung,
>
> I don't know what you mean by general mechanisms, but certainly a given
> restoration path (or its)individual links can be used by several working
> paths in a shared mesh restoration environment. There is a lot of
> literature on shared mesh restoration technique, but if you are also
> interested in algorithms for computing physically-disjoint restoration
> paths, there is a book of mine: "Survivable Networks: Algorithms for
> Diverse Routing", Kluwer Academic Publishers (1999), which in addition
> to discussing the general technique for shared mesh restoration,
> provides algorithms for finding optimal disjoint service and restoration
> paths. The book can be obtained from bn.com, fatbrain,com, etc.
>
> Ramesh
>
> SuKyoung Lee wrote:
> >
> > Hello.
> >